Subject: bug#26359: 25.2; smtpmail.el tries useless unauthenticated connection

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Jul 2019 12:17:25 +0200

Ulrich Mueller <[email-masked]> writes:

> So could this be made configurable please, such that smtpmail will
> immediately try with an authenticated connection? AFAICS, this should
> be easily possible in either smtpmail-via-smtp or in its callers, by
> conditionally setting ask-for-password depending on some configuration
> variable.

Makes sense.  I've now added smtpmail-servers-requiring-authorization to
the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no